services:
    - docker:dind

variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2

stages:
    - build

build:
    image: maven:3-jdk-8
    stage: build
    script:
        - mvn clean install -Punit
    artifacts:
        paths:
            - ./task-manager-server/target/task_manager.jar
            - ./task-manager-client/target/task_manager.jar

